import { Service } from "../service";
export declare const Errors: any;
export declare class UploadBlobService extends Service {
    private readonly settings;
    name: "UploadBlobService";
    dependencies: string[];
    services: {
        ExpressService;
        BlobService;
    };
    route: string;
    path: string;
    constructor(settings: {
        blob: {
            upload: {
                webUploadRoute: string;
                tmpStoragePath?: string;
            };
        };
    });
    initialize(): void;
    private configRouteAndPath();
    private createMulterStorage();
}
